Bug 483253

Summary: After focus is automatically moved to search results list, deleting a character in the search field requires pressing the backspace key twice
Product: [Plasma] plasmashell Reporter: Martin Bednar <martin+kde>
Component: Application Menu (Kicker)Assignee: Plasma Bugs List <plasma-bugs>
Status: CONFIRMED ---    
Severity: normal CC: funny0facer, gwarser, nate
Priority: NOR Keywords: accessibility, regression, usability
Version: 6.0.1   
Target Milestone: 1.0   
Platform: Gentoo Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:
Attachments: Screencast of the bug including visible keystrokes

Description Martin Bednar 2024-03-11 15:49:40 UTC
SUMMARY
When searching in kicker, the result list gets populated very fast and the first item is selected. This makes the search bar lose focus (it has no blinking cursor) after the first letter in input. 
All character presses get forwarded and input to the search bar, but pressing backspace sets focus to the search bar, and only after a second press deletes the letter.


STEPS TO REPRODUCE
1. search for something with results
2. delete a few letters of the search by pressing backspace slowly (ie one character at a time)
3.

Observed:
Deleting a letter takes two backspace presses, as focus shifts to results after results list gets refreshed.
Focus shifting is seen by the cursor disappearing.


EXPECTED RESULT:
Focus remains in search bar while editing.

KDE Plasma Version:  6.0.1 with patch from https://bugs.kde.org/show_bug.cgi?id=482736 applied
KDE Frameworks Version: 6.0.0
Qt Version:  6.6.2

Opinion:
It would be nice if the focus logic were inverted: primarily on the search bar (ie the search bar's cursor is always there, blinking) and only navigation arrows and enter were forwarded to the search result lists.
Comment 1 Nate Graham 2024-03-11 19:22:41 UTC
Can reproduce.
Comment 2 funny0facer 2024-03-25 20:35:39 UTC
Created attachment 167758 [details]
Screencast of the bug including visible keystrokes

I added a screencast and can confirm the behavior also on 6.0.2 

KRunner works fine
Application Launcher works fine
Application Menu does not behave as the other 2


Operating System: Arch Linux 
KDE Plasma Version: 6.0.2
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Kernel Version: 6.8.1-arch1-1 (64-bit)
Graphics Platform: Wayland
Comment 3 Nate Graham 2024-04-01 16:26:01 UTC
After investigating a bit, I think the focus change is intentional so that you can navigate the search results list, but requiring two backspace keystrokes is not; this part is clearly a bug.